Swisslinux.org

− The GNU/Linux crossroads in Switzerland −

 

Language

 

The Forum

You are not logged in.

  • Index
  •  » Ubuntu
  •  » Problèmes avec les paramètres de GNOME sur Ubuntu 21.04

#1 13 Sep 2021 20:55:23

UbuntuNewbie2018
Citoyen(ne)
 
Registered: 29 Oct 2018
Posts: 10

Problèmes avec les paramètres de GNOME sur Ubuntu 21.04

Hello!

Je viens de faire la mise à jour d'Ubuntu 20.04 à Ubuntu 21.04. Tout semble avoir bien fonctionné, excepté l'installation complète de GNOME. Maintenant, je ne vois plus les icônes du bureau et je ne peux plus non plus accéder aux paramètres tels que le son, réseau, affichage, etc. Le menu paramètre n'apparaît plus dans la liste qui se trouve d'habitude là où sont indiqués l'heure et le niveau de la batterie et quand je fais un clic droit du bouton sur l'icône du son, par exemple, rien ne se passe.

J'ai cru comprendre que GNOME n'était peut-être pas entièrement installé, notamment son control center. Mais, quand j'ai voulu l'installer, je reçois systématiquement le même message: 

Code:

sudo apt install gnome-control-center
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 libpython3.9 : Dépend: libpython3.9-stdlib (= 3.9.5-3~21.04) mais 3.9.7-1+focal1 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

J'ai essayé d'installer ce 3.9.7-1+focal1, mais je me retrouve confrontée au même message:

Code:

Les paquets suivants contiennent des dépendances non satisfaites

, mais sans précision desquels.

De fait, je suis encore trop débutante pour pouvoir vraiment comprendre tout ce qui se passe.

Étonnement, j'ai accès à ces paramètres quand j'utilise le desktop de cinamon, mais je dois dire que je n'aime pas trop cette interface, sans compter que je n'arrive pas à faire en sorte que ma souris aille de mon écran de gauche à l'écran de droite sans devoir passer par la droite de mon écran de gauche. C'est super-agaçant quand on travail sur deux écrans.

Est-ce que vous pourriez m'aider? Merci beaucoup d'avance!

Offline

 

#2 14 Sep 2021 09:03:34

claudep
Apôtre du libre
 
Registered: 19 May 2015
Posts: 107

Re: Problèmes avec les paramètres de GNOME sur Ubuntu 21.04

À essayer:

Code:

sudo apt --fix-broken install

Offline

 

#3 14 Sep 2021 11:48:09

UbuntuNewbie2018
Citoyen(ne)
 
Registered: 29 Oct 2018
Posts: 10

Re: Problèmes avec les paramètres de GNOME sur Ubuntu 21.04

Oh, je vais essayer! Merci! Je vous dirai si ça a marché ou pas!

Offline

 

#4 14 Sep 2021 11:53:24

UbuntuNewbie2018
Citoyen(ne)
 
Registered: 29 Oct 2018
Posts: 10

Re: Problèmes avec les paramètres de GNOME sur Ubuntu 21.04

claudep wrote:

À essayer:

Code:

sudo apt --fix-broken install

Malheureusement, ça n'a rien changé.
Je reçois le message suivant:

Code:

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.

Et quand je tente à nouveau d'installer le control center de GNOME, je reçois le même message qu'indiqué dans mon premier message.

Je suis de plus en plus dans l'idée de tout effacer et de faire une installation fraîche, à partir d'une clé USB. J'ai téléchargé le programme d'installation d'Ubuntu 21.04 sur une clé USB. Peut-être qu'en écrasant tout, j'arriverai à faire une installation correcte avec le desktop qui fonctionne. Qu'en pensez-vous?

Offline

 

#5 14 Sep 2021 11:59:53

UbuntuNewbie2018
Citoyen(ne)
 
Registered: 29 Oct 2018
Posts: 10

Re: Problèmes avec les paramètres de GNOME sur Ubuntu 21.04

Je me demande si ce n'est pas lié à ce message que je reçois chaque fois que je fais un sudo apt update:

Code:

Atteint :1 http://ch.archive.ubuntu.com/ubuntu hirsute InRelease
Atteint :2 http://archive.canonical.com/ubuntu hirsute InRelease               
Atteint :3 http://ch.archive.ubuntu.com/ubuntu hirsute-updates InRelease       
Ign :4 http://ppa.launchpad.net/deadsnakes/ppa/ubuntu hirsute InRelease        
Atteint :5 http://archive.ubuntu.com/ubuntu hirsute InRelease                  
Atteint :6 http://ch.archive.ubuntu.com/ubuntu bionic InRelease                
Atteint :7 http://archive.canonical.com/ubuntu bionic InRelease                
Réception de :8 http://ch.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
Atteint :9 http://ch.archive.ubuntu.com/ubuntu hirsute-backports InRelease     
Err :10 http://ppa.launchpad.net/deadsnakes/ppa/ubuntu hirsute Release
  404  Not Found [IP : 91.189.95.85 80]
Réception de :11 http://security.ubuntu.com/ubuntu hirsute-security InRelease [110 kB]
Err :6 http://ch.archive.ubuntu.com/ubuntu bionic InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
Réception de :12 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
Err :7 http://archive.canonical.com/ubuntu bionic InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
Err :8 http://ch.archive.ubuntu.com/ubuntu bionic-updates InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
Réception de :13 http://security.ubuntu.com/ubuntu hirsute-security/main amd64 DEP-11 Metadata [7’964 B]
Err :12 http://security.ubuntu.com/ubuntu bionic-security InRelease 
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
Réception de :14 http://security.ubuntu.com/ubuntu hirsute-security/universe amd64 DEP-11 Metadata [3’888 B]
Lecture des listes de paquets... Fait            
E: Le dépôt http://ppa.launchpad.net/deadsnakes/ppa/ubuntu hirsute Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://ch.archive.ubuntu.com/ubuntu bionic InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://archive.canonical.com/ubuntu bionic InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://ch.archive.ubuntu.com/ubuntu bionic-updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://security.ubuntu.com/ubuntu bionic-security InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
ariane@ariane-Latitude-E7440:~$ sudo apt updatge
E: L'opération updatge n'est pas valable
ariane@ariane-Latitude-E7440:~$ sudo apt update
Atteint :1 http://ch.archive.ubuntu.com/ubuntu hirsute InRelease
Ign :2 http://ppa.launchpad.net/deadsnakes/ppa/ubuntu hirsute InRelease        
Atteint :3 http://ch.archive.ubuntu.com/ubuntu hirsute-updates InRelease       
Atteint :4 http://ch.archive.ubuntu.com/ubuntu bionic InRelease                
Atteint :5 http://archive.ubuntu.com/ubuntu hirsute InRelease                  
Réception de :6 http://ch.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
Atteint :7 http://ch.archive.ubuntu.com/ubuntu hirsute-backports InRelease     
Atteint :8 http://archive.canonical.com/ubuntu hirsute InRelease               
Err :9 http://ppa.launchpad.net/deadsnakes/ppa/ubuntu hirsute Release          
  404  Not Found [IP : 91.189.95.85 80]
Atteint :10 http://archive.canonical.com/ubuntu bionic InRelease               
Err :4 http://ch.archive.ubuntu.com/ubuntu bionic InRelease                    
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
Err :6 http://ch.archive.ubuntu.com/ubuntu bionic-updates InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
Atteint :11 http://security.ubuntu.com/ubuntu hirsute-security InRelease
Err :10 http://archive.canonical.com/ubuntu bionic InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
Réception de :12 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
Err :12 http://security.ubuntu.com/ubuntu bionic-security InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
Lecture des listes de paquets... Fait
E: Le dépôt http://ppa.launchpad.net/deadsnakes/ppa/ubuntu hirsute Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://ch.archive.ubuntu.com/ubuntu bionic InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://ch.archive.ubuntu.com/ubuntu bionic-updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://archive.canonical.com/ubuntu bionic InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://security.ubuntu.com/ubuntu bionic-security InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 3B4FE6ACC0B21F32

Qu'en pensez-vous?

Offline

 

#6 15 Sep 2021 08:20:57

claudep
Apôtre du libre
 
Registered: 19 May 2015
Posts: 107

Re: Problèmes avec les paramètres de GNOME sur Ubuntu 21.04

Ah oui, ce PPA deadsnakes (qui sert à installer des versions de Python les plus récentes possibles) est très probablement la cause de vos problèmes. Donc vous devriez le désactiver (par exemple dans Sources de logiciels en mode graphique). J'ai lu pas mal de situations problématiques causées par ce PPA. Évitez de les utiliser autant que possible. Il est possible qu'au final, il soit plus simple de tout réinstaller proprement, si vos données sont bien sauvegardées.

Offline

 

#7 15 Sep 2021 09:58:23

UbuntuNewbie2018
Citoyen(ne)
 
Registered: 29 Oct 2018
Posts: 10

Re: Problèmes avec les paramètres de GNOME sur Ubuntu 21.04

Je vois. Je vais voir si j'arrive à trouver la source, mais sinon, j'installerai à nouveau. Mes données sont bien sauvegardées. Je fais deux sauvegardes par semaine. Une avec Utility (laquelle ne fonctionne plus non plus, toujours pour la même raison, lié à ce problème de paquets) et l'autre avec Luckybackup.

Du coup, je ne risque pas de perdre de fichiers, mais il faudra que je fasse une liste des logiciels installés. Parce que ma dernière sauvegarde Utility remonte à 2 semaines et, pour une raison que j'ignore, s'est bloquée. Quand j'ai essayé d'en refaire une la semaine dernière, ça a pris tellement de temps que j'ai dû arrêter le processus au bout d'un moment, parce qu'il fallait bien que je puisse travailler. Et malheureusement, entre deux, j'ai fait cette mise à jour avec les problèmes que j'ai exposés ci-dessus et je n'arrive pas à faire de nouvelle sauvegarde Utility.

Offline

 

#8 15 Sep 2021 12:44:32

Eggman
Admin
From: Grand-Lancy(GE)
Registered: 17 Nov 2004
Posts: 1089
Website

Re: Problèmes avec les paramètres de GNOME sur Ubuntu 21.04

Bonjour,

Je vois plusieurs problèmes.

1) Deadsnakes
Comme noté par claudep, le dépôt PPA deadsnakes n'a pas de paquets pour Ubuntu 20.21. Il est donc inutile en l'état.

Si vous ne savez pas comment le désactiver, ce n'est pas grave.
Cela générera seulement un message, mais ne cassera rien sur votre système. Et il sera toujours possible de s'en occuper plus tard.

2) NO_PUBKEY 3B4FE6ACC0B21F32
Il n'y a pas de référence à la clef 3B4FE6ACC0B21F32 dans dans votre système et le gestionnaire de paquet va refuser d'installer les paquets signé avec cette clef.
Un classique simple à réparer.
Dans un terminal, tapez ce deux lignes:

Code:

gpg --keyserver keyserver.ubuntu.com --recv-key  3B4FE6ACC0B21F32
gpg -a --export 3B4FE6ACC0B21F32 | sudo apt-key add -

NOTE: il est possible, voir probable, qu'il y ait un message d'alerte, signalant que cette méthode n'est plus recommandée. Ce n'est pas grave, ça devrait fonctionner.

Ensuite un

Code:

sudo apt update

entré dans le terminal
rechargera la liste des paquet depuis le dépôt et vous ne devriez plus avoir l'erreur NO_PUBKEY 3B4FE6ACC0B21F32.

3) Dépôts de Bionic Beaver 18.04 LTS
Je ne sais comment s'est passé la mise à jour, mais il y a clairement les dépôts d'installations précédentes puisqu'il y a des références à Ubuntu 18.04 Bionic Beaver.

Or, vous nous dites que la mise à jour s'est faite de 20.04 LTS (Focal Fossa) vers 21.04 (Hirsute Hippo).
Donc, il ne devrait pas y avoir de référence à 18.04 quand vous lancez les mises à jour.

J'ai l'impression que vous avez effectué une mise à jour depuis 18.04 vers 21.04.
Il est possible que ça se soit pas totalement déroulé correctement.
C'est normalement assez aisément rattrapable.

Si le point 2 c'est bien passé vous devriez pouvoir lancer une mise à jour manuelle comme suit, dans un terminal:

Code:

sudo apt update
sudo apt upgrade

"It always takes longer than you expect, even when you take into account Hofstadter's Law."
Douglas Hofstadter, Gödel, Escher, Bach: An Eternal Golden Braid

Offline

 

#9 15 Sep 2021 21:56:44

UbuntuNewbie2018
Citoyen(ne)
 
Registered: 29 Oct 2018
Posts: 10

Re: Problèmes avec les paramètres de GNOME sur Ubuntu 21.04

Merci beaucoup de cette réponse détaillée!

J'ai réussi à accomplir la première tâche concernant la clé et effectivement, cette erreur a disparu.

Par contre, j'ai bien fait une mise à jour depuis Ubuntu 20.04. Mais, il se trouve que des paquets d'Ubuntu 18.04 ont été conservés et ne sachant pas trop s'ils étaient importants ou pas, je ne les ai jamais supprimés du gestionnaire de paquets. En général, j'évite de supprimer quoi que ce soit, si on ne me le demande pas expressément, parce que je ne connais pas suffisamment les choses pour cela. Mais, je ne peux toujours pas voir la moitié des icônes d'interface du bureau GNOME et je n'ai donc toujours pas accès aux paramètres de ma machine. Je suppose qu'il devrait être possible d'y accéder par lignes de commandes, mais je ne les connais pas du tout. Quand j'essaie d'installer le centre de contrôle de GNOME, je reçois constamment le même message:

Code:

Les paquets suivants contiennent des dépendances non satisfaites :
 libpython3.9 : Dépend: libpython3.9-stdlib (= 3.9.5-3~21.04) mais 3.9.7-1+focal1 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Même chose quand j'essaie de faire une sauvegarde avec Utility et qu'il me demande d'installer alors gvfs-backends.

Je fais des sauvegardes avec Luckybackup uniquement pour l'instant. Et je suppose que si je ne trouve pas de solution, je vais essayer faire une installation fraîche complète. J'ai déjà téléchargé le logiciel d'installation sur une clé USB et je pourrais essayer de faire un boot depuis la clé USB pour l'installer. Je ferai cela sous la supervision d'une amie qui s'y connaît bien.

Offline

 
  • Index
  •  » Ubuntu
  •  » Problèmes avec les paramètres de GNOME sur Ubuntu 21.04

Board footer

Powered by FluxBB